using System;

namespace ConsoleApp62
{
    class Program
    {
        static void Main(string[] args)
        {

            int N = int.Parse(Console.ReadLine());


            string linija1;
            string[] linijaSplit1;
            int[,] portali = new int[N, 2];

            for (int i = 0; i < N - 1; i++)
            {
                linija1 = Console.ReadLine();
                linijaSplit1 = linija1.Split(' ');
                portali[i, 0] = int.Parse(linijaSplit1[0]);
                portali[i, 1] = int.Parse(linijaSplit1[1]);
            }

            string zlatnici = Console.ReadLine();
            string[] zlSpl = zlatnici.Split(' ');
            for (int i = 0; i < N; i++)
            {

            }

            int M = int.Parse(Console.ReadLine());


            string linija;
            string[] linijaSplit;
            int[,] matrica = new int[M, 3];

            for (int i = 0; i < M; i++)
            {
                linija = Console.ReadLine();
                linijaSplit = linija.Split(' ');
                matrica[i, 0] = int.Parse(linijaSplit[0]) - 1;
                matrica[i, 1] = int.Parse(linijaSplit[1]) - 1;


            }
        
        
        }
    }
}